<template>
    <view class="p-20 fx-col gap-20">
        <question-preview-list-item v-for="q in list" :item="q" @change="handleChange"/>
    </view>
</template>

<script setup>

import QuestionPreviewListItem from "@/pagesOther/pages/topic-center/topic-collection/components/question-preview-list-item.vue";
import {createPropDefine} from "@/utils";

const props = defineProps({
    list: createPropDefine([], Array)
})
const emits = defineEmits(['change'])
const handleChange = (collect) => {
    emits('change', collect)
}
</script>

<style scoped>

</style>